import sys
from setuptools import setup

install_requires = [
    "ropemacs",
    "ropemode",
    "rope",
    "pysmell",
    "Pymacs",
    "ipython",
    "tox",
    "pytest",
    "pytest-xdist",
    "greenlet",
    "wsgi_intercept",
    "sphinx",
    "xdistutils",
    "pip>=1.0.2"]

if sys.platform == "win32":
    install_requires.append("pyreadline")


setup(name="schmir",
      version="1.4",
      install_requires=install_requires,
      description="meta package that installs a set of packages for a default working environment",)
